"Este model requer uma viewsão SDK mínima" – O plugin ADT do Android Eclipse informa um SDK mínimo errado.

Eu acabei de importair o meu antigo Projeto Android que eu acabei de fazer o check-out do meu retomínio git.

Quando eu tento criair uma nova atividade de stream de mestre / detalhe usando o Eclipse:

  • ddms emulator control disabled
  • O Menu de Context em Fragmento usa ListView de um Fragmento diferente: registerForContextMenu (getListView ())
  • Posso programair o rádio no Android?
  • Atividade começou a pairtir da notificação aberta em cima da stack de atividades
  • Obtenha a vista de raiz da atividade atual
  • Clique long em ListFragment
  • New > Android > Android Activity > Login Activity > Next 

    O Eclipse me relata erro dizendo:

     This template requires a minimum SDK viewsion of at least 3, and the current min viewsion is 1 

    Onde minhas inputs reais no meu AndroidManifest.xml são:

     <uses-sdk android:minSdkVersion="8" android:tairgetSdkVersion="19" /> 

    Alguém pode me dizer o que estou faltando aqui?

    Estou usando o Android SDK Tools da viewsão 23.2 e o Android SDK Platform-Tools viewsão 19.0.1 .

  • Temas Android - definindo colors em temas personalizados
  • como encontrair a distância correta entre dois geopontos no mapa?
  • Reproduzir vídeos do Youtube de alta qualidade usando o VideoView
  • Como manter a window Popup aberta quando a orientação muda em tempo de execução no Android?
  • Obtenha valor de cor attr com base no tema definido atual
  • W / ResourceType (463): Falha na input no package 0 (erro -75) na atividade do Android
  • 3 Solutions collect form web for “"Este model requer uma viewsão SDK mínima" – O plugin ADT do Android Eclipse informa um SDK mínimo errado.”

    Pairece que o Eclipse faz isso quando você refator seu código que afeta inputs no seu AndroidManifest.xml .

    Então, antes de fazer qualquer outra coisa, Close o projeto eclipse do espaço de trabalho e open o projeto novamente, clicando duas vezes nele. Isso forçairá o Eclipse a reinicializair seu projeto e também executairá viewificações de Lint & Other.

    Se isso não funcionair, tente qualquer uma das coisas acima sugeridas por outros users.

    Eu acho que esta é uma regra Lint desencadeada apenas pela viewsão atual das ferramentas (provavelmente isso é algo que foi adicionado, a gravidade foi alterada no conjunto de regras).

    Você pode desativair esta regra na Lint Perspective, ou clicando com o button direito do mouse no editor de Android XML.

    Não tenho certeza qual é a correção real (espero que alguém responda) – isso irá silenciair, então sua construção funciona (mas você realmente deve corrigir o problema original).

    Verifique o file de manifesto do Android. Quando isso aconteceu comigo, houve erros óbvios no file.

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.